--[[=============================================================================
    Lua Action Code

    Copyright 2016 Control4 Corporation. All Rights Reserved.
===============================================================================]]

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.actions = "2016.01.08"
end

-- TODO: Create a function for each action defined in the driver

function LUA_ACTION.ControlOutlet(tParams)
    LogTrace("LUA_ACTION.ControlOutlet()")
    LogTrace(tParams)
    local outlet = tostring(tParams["Outlet"])
    local action = ""
    local command = ""
    local command_name

    
    if(tParams["Action"] == "OFF") then 
	   action = " 0"
	   command = "pset "
	   command_name = "Set Power Outlet: OFF"
    elseif(tParams["Action"] == "ON") then 
	   action = " 1"
	   command = "pset "
	   command_name = "Set Power Outlet: ON"
    elseif(tParams["Action"] == "CYCLE") then 
	   action = ""
	   command = "prb "
	   command_name = "Reboot Power Outlet"
    end

    local cmd = (command.. outlet .. action) 
    PackAndQueueCommand(command_name, cmd)
end

function LUA_ACTION.AddRelays ()
    LogTrace("LUA_ACTION.AddRelays()")
    initialize()
end