--[[=============================================================================
    Test Driver

    Copyright 2015 Control4 Corporation. All Rights Reserved.
===============================================================================]]
require "test.C4Virtual"
require "driver"

OnDriverInit()
OnDriverLateInit()

--OnBindingChanged(1, "RS_232", true)
--ConnectURL()

function TestLog()
	print ("TestLog()")
	LogTrace("Special Example just for %s and %s", "Wendell", "Jim")
	LogError("SADASDAS %s aasdasdasd %d %d asdas %f", "junk", 5, "3", 5.2)
	LogTrace("This is a test")

	LogTrace()
	LogTrace("")
	LogTrace("Example failure %s and %d", "Wendell", nil)

	local tParams ={name = "value"}
	
	LogFatal(tParams)
	LogError(tParams)
	LogWarn(tParams)
	LogInfo(tParams)
	LogDebug(tParams)
	LogTrace(tParams)

	LogTrace("this is a test %s", tParams)
end

-- TestLog()

function TestFunc(causeError)
	if (causeError) then
		print ("This is a test" .. aNilVar)
	else
		local ret1 = "param1"
		local ret2 = "param2"
		return ret1, ret2
	end
end

function TestPCall(causeError)
	print ("--------------- causeError = " .. tostring(causeError) .. " ---------------")
	local status, ret1, ret2 = pcall(TestFunc, causeError)
	print (tostring(status))
	print (tostring(ret1))
	print (tostring(ret2))
end

--TestPCall(true)
--TestPCall(false)

--TemplateVersion()

-- HandleMessage({TEST={INSIDE="Inside"}})

NOTIFY.LEVEL_CHANGED(5001, 85)